Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=frugalware-current.git;a=commitdiff;h=03506cc389b729ff1cc61405d688888b06b52ec4

commit 03506cc389b729ff1cc61405d688888b06b52ec4
Author: bouleetbil <bouleet...@frogdev.info>
Date:   Wed Aug 5 06:34:50 2009 +0200

pulseaudio-0.9.15-1-ppc
*added ppc to archs()
*disable module lirc for ppc

diff --git a/source/multimedia-extra/pulseaudio/FrugalBuild 
b/source/multimedia-extra/pulseaudio/FrugalBuild
index 307f056..2343fec 100644
--- a/source/multimedia-extra/pulseaudio/FrugalBuild
+++ b/source/multimedia-extra/pulseaudio/FrugalBuild
@@ -8,10 +8,10 @@ pkgdesc="PulseAudio is a sound server with an advanced plugin 
system"
url="http://pulseaudio.org/";
depends=('speex' 'liboil' 'audiofile' 'libsndfile' 'libtool' 'libatomic_ops' 
'libsamplerate' 'flac' 'glib2' \
'alsa-lib' 'libtool' 'libasyncns')
-makedepends=('avahi' 'gnome-audio' 'bluez-utils' 'lirc' 'jack' 'intltool' 
'hal' 'gconf' \
+makedepends=('avahi' 'gnome-audio' 'bluez-utils' 'jack' 'intltool' 'hal' 
'gconf' \
'libsm' 'libx11' 'libice' 'libxtst')
groups=('multimedia-extra')
-archs=('i686')
+archs=('i686' 'ppc')
up2date="Flasttar http://pulseaudio.org/wiki/DownloadPulseAudio#Sourcecode";
source=(http://0pointer.de/lennart/projects/$pkgname/$pkgname-$pkgver.tar.gz \
rc.pulseaudio pulseaudio.sysconfig README.Frugalware \
@@ -23,18 +23,27 @@ sha1sums=('56fb71e4e88c901d9941d85bfe142612c30e5c8e' \
'1b9106e52c063e83b8577434360edaf3be81351d' \
'd59ff20515cb3109bed4e1b30ca7eb93f411d6a9')

-subpkgs=("pulseaudio-hal" "pulseaudio-lirc" "pulseaudio-esd" 
"pulseaudio-bluetooth" "pulseaudio-x11" \
+subpkgs=("pulseaudio-hal" "pulseaudio-esd" "pulseaudio-bluetooth" 
"pulseaudio-x11" \
"pulseaudio-avahi" "pulseaudio-jack" "pulseaudio-gconf")
-subdescs=('HAL device detection module for PulseAudio sound server' 'lirc 
module for PulseAudio sound server' \
+subdescs=('HAL device detection module for PulseAudio sound server' \
'PulseAudio ESD compatibility layer' 'PulseAudio bluetooth' 'x11 module for 
PulseAudio sound server' \
'avahi module for PulseAudio sound server' 'jack module for PulseAudio sound 
server' \
'gconf module for PulseAudio sound server')
-subrodepends=("pulseaudio=$pkgver hal" "pulseaudio=$pkgver lirc" 
"pulseaudio=$pkgver" \
+subrodepends=("pulseaudio=$pkgver hal" "pulseaudio=$pkgver" \
"pulseaudio=$pkgver bluez-utils" "pulseaudio=$pkgver libx11 libxtst" 
"pulseaudio=$pkgver avahi" \
"pulseaudio=$pkgver jack" "pulseaudio=$pkgver gconf")
-subgroups=('multimedia-extra' 'multimedia-extra' 'multimedia-extra' 
'multimedia-extra' \
+subgroups=('multimedia-extra' 'multimedia-extra' 'multimedia-extra' \
'xmultimedia-extra' 'multimedia-extra' 'multimedia-extra' 'gnome-extra')
-subarchs=('i686' 'i686' 'i686' 'i686' 'i686' 'i686' 'i686' 'i686')
+subarchs=('i686 ppc' 'i686 ppc' 'i686 ppc' 'i686 ppc' 'i686 ppc' 'i686 ppc' 
'i686 ppc')
+
+if [ "$CARCH" != "ppc" ]; then
+       makedepends=("${makedepen...@]}" 'lirc')
+       subpkgs=("${subpk...@]}" 'pulseaudio-lirc')
+       subdescs=("${subdes...@]}" 'lirc module for PulseAudio sound server')
+       subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver lirc")
+       subgroups=("${subgrou...@]}" 'multimedia-extra')
+       subarchs=("${subarc...@]}" 'i686')
+fi

Fconfopts="$Fconfopts --with-system-user=pulse --with-realtime-group=realtime \
--with-access-group=pulse-access \
@@ -56,7 +65,9 @@ build() {

Fsplit $pkgname-hal usr/lib/pulse-$pkgver/modules/module-hal-detect.so

-       Fsplit $pkgname-lirc usr/lib/pulse-$pkgver/modules/module-lirc.so
+       if [ "$CARCH" != "ppc" ]; then
+               Fsplit $pkgname-lirc 
usr/lib/pulse-$pkgver/modules/module-lirc.so
+       fi

Fsplit $pkgname-esd usr/bin/esdcompat
Fsplit $pkgname-esd usr/lib/pulse-$pkgver/modules/libprotocol-esound.so
_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to